package com.sf._02_字节流输出流;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Scanner;

public class Test3 {

    /**
     * 做一个登录日志记录
     * 通过控制台录入账号和密码
     * 如果账号为admin  密码为123 就表示登录成功 如果不是表示登录失败
     *
     * 关键点:  登录成功和登录失败都需要往 login.txt 插入日志信息
     * 日志格式
     * zhangsan -  时间(2026年1月19日 11:40)- 登录失败
     * admin -  时间(2026年1月19日 11:41)- 登录成功
     */
    public static void main(String[] args) throws IOException {
        Scanner scanner = new Scanner(System.in);
        System.out.println("请录入账号");
        String username = scanner.next();
        System.out.println("请录入密码");
        String password = scanner.next();

        FileOutputStream fileOutputStream = new FileOutputStream(new File("D:\\login.txt"),true);
        SimpleDateFormat sdf =  new SimpleDateFormat("yyyy年MM月dd日 HH:mm:ss");
        String dateStr = sdf.format(new Date());

        if("admin".equals(username)&& "123".equals(password)){
            System.out.println("登录成功");
            //写入登录成功日志
            fileOutputStream.write((username+"  - "+dateStr  + "登录成功").getBytes());
        }else{
            System.out.println("登录失败");
            //写入登录失败日志
            fileOutputStream.write((username+"  - "+dateStr  + "登录失败").getBytes());
        }
        //关闭资源
        fileOutputStream.close();
    }
}
